Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.maltparser.parser.algorithm.stack
Enum StackAddressFunction.StackSubFunction

    java.lang.Object
      java.lang.Enum<StackAddressFunction.StackSubFunction>
          org.maltparser.parser.algorithm.stack.StackAddressFunction.StackSubFunction

All Implemented Interfaces:
  Serializable, Comparable<StackAddressFunction.StackSubFunction>

Enclosing class:
  StackAddressFunction

    public static enum StackAddressFunction.StackSubFunction

extends Enum<StackAddressFunction.StackSubFunction>

Enum Constant Summary
`INPUT`
`LOOKAHEAD`
`STACK`

Method Summary
`static StackAddressFunction.StackSubFunction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StackAddressFunction.StackSubFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### STACK

    public static final StackAddressFunction.StackSubFunction STACK

### INPUT

    public static final StackAddressFunction.StackSubFunction INPUT

### LOOKAHEAD

    public static final StackAddressFunction.StackSubFunction LOOKAHEAD

Method Detail

### values

    public static StackAddressFunction.StackSubFunction[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StackAddressFunction.StackSubFunction c : StackAddressFunction.StackSubFunction.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StackAddressFunction.StackSubFunction valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.